NX Open C++ Reference Guide
|
Represents a Mechatronics::CollisionBodyBuilder . More...
Public Types | |
enum | CollisionShapeTypes { CollisionShapeTypesBox, CollisionShapeTypesSphere, CollisionShapeTypesCapsule, CollisionShapeTypesConvex, CollisionShapeTypesMultiConvex, CollisionShapeTypesMesh } |
the collide shape types. More... | |
enum | ShapePropertyTypes { ShapePropertyTypesAutomatic, ShapePropertyTypesUserDefined } |
the shape calculation option. More... | |
Public Member Functions | |
void | CalculateConvex () |
The convex of the collide. | |
void | CalculateMesh () |
The mesh of the collide. | |
void | CalculateMultiConvex () |
The multi-convex of the collide. | |
int | Category () |
Returns the category. | |
double | CollisionFactor () |
Returns the collision factor. | |
NXOpen::Mechatronics::CollisionMaterial * | CollisionMaterial () |
Returns the material. | |
NXOpen::Mechatronics::CollisionBodyBuilder::ShapePropertyTypes | CollisionProperties () |
Returns the shape option. | |
NXOpen::Mechatronics::CollisionBodyBuilder::CollisionShapeTypes | CollisionShape () |
Returns the shape type. | |
NXOpen::SelectNXObjectList * | Geometry () |
Returns the geometries. | |
bool | HighlightOnCollision () |
Returns the highlight on collision. | |
NXString | Name () |
Returns the name. | |
void | SetCategory (int category) |
Sets the category. | |
void | SetCollisionFactor (double factor) |
Sets the collision factor. | |
void | SetCollisionMaterial (NXOpen::Mechatronics::CollisionMaterial *collisionMaterial) |
Sets the material. | |
void | SetCollisionProperties (NXOpen::Mechatronics::CollisionBodyBuilder::ShapePropertyTypes collisionProperties) |
Sets the shape option. | |
void | SetCollisionShape (NXOpen::Mechatronics::CollisionBodyBuilder::CollisionShapeTypes collisionShape) |
Sets the shape type. | |
void | SetGeometry (const std::vector< NXOpen::NXObject * > &geometries) |
Sets the geometry Created in NX7.5.1. | |
void | SetHighlightOnCollision (bool highlight) |
Sets the highlight on collision. | |
void | SetName (const NXString &name) |
Sets the name. | |
void | SetName (const char *name) |
Sets the name. | |
![]() | |
NXOpen::Point * | CenterPoint () |
Returns the center point. | |
NXOpen::Expression * | Height () |
Returns the height. | |
NXOpen::Expression * | Length () |
Returns the length. | |
NXOpen::CoordinateSystem * | Orientation () |
Returns the orientation. | |
NXOpen::Expression * | Radius () |
Returns the radius. | |
void | SetCenterPoint (NXOpen::Point *centerPoint) |
Sets the center point. | |
void | SetOrientation (NXOpen::CoordinateSystem *orientation) |
Sets the orientation. | |
NXOpen::Expression * | Width () |
Returns the width. | |
![]() | |
NXOpen::NXObject * | Commit () |
Commits any edits that have been applied to the builder. | |
void | Destroy () |
Deletes the builder, and cleans up any objects created by the builder. | |
std::vector< NXOpen::NXObject * > | GetCommittedObjects () |
For builders that create more than one object, this method returns the objects that are created by commit. | |
NXOpen::NXObject * | GetObject () |
Returns the object currently being edited by this builder. | |
void | ShowResults () |
Updates the model to reflect the result of an edit to the model for all builders that support showing results. | |
virtual bool | Validate () |
Validate whether the inputs to the component are sufficient for commit to be called. | |
![]() | |
tag_t | GetTag () const |
<b>Deprecated</b>:<br> Use Tag instead. | |
tag_t | Tag () const |
Returns the tag of this object. | |
Represents a Mechatronics::CollisionBodyBuilder .
To create a new instance of this class, use Mechatronics::CollisionBodyCollection::CreateCollisionBodyBuilder
Created in NX7.5.1.
void NXOpen::Mechatronics::CollisionBodyBuilder::CalculateConvex | ( | ) |
The convex of the collide.
Call this function to generate convex when Mechatronics::CollisionBodyBuilder::CollisionShape is set to Mechatronics::CollisionBodyBuilder::CollisionShapeTypesConvex .
Created in NX7.5.1.
License requirements : nx_mcd_core ("MECHATRONICS CONCEPT DESIGNER")
void NXOpen::Mechatronics::CollisionBodyBuilder::CalculateMesh | ( | ) |
The mesh of the collide.
Call this function to generate mesh when Mechatronics::CollisionBodyBuilder::CollisionShape is set to Mechatronics::CollisionBodyBuilder::CollisionShapeTypesMesh .
Created in NX9.0.0.
License requirements : nx_mcd_core ("MECHATRONICS CONCEPT DESIGNER")
void NXOpen::Mechatronics::CollisionBodyBuilder::CalculateMultiConvex | ( | ) |
The multi-convex of the collide.
Call this function to generate multi-convex when Mechatronics::CollisionBodyBuilder::CollisionShape is set to Mechatronics::CollisionBodyBuilder::CollisionShapeTypesMultiConvex .
Created in NX9.0.0.
License requirements : nx_mcd_core ("MECHATRONICS CONCEPT DESIGNER")
int NXOpen::Mechatronics::CollisionBodyBuilder::Category | ( | ) |
Returns the category.
It should be between 0 and 16.
Created in NX7.5.1.
License requirements : nx_mcd_core ("MECHATRONICS CONCEPT DESIGNER")
double NXOpen::Mechatronics::CollisionBodyBuilder::CollisionFactor | ( | ) |
Returns the collision factor.
It should be between 0 and 1.0.
Created in NX9.0.0.
License requirements : nx_mcd_core ("MECHATRONICS CONCEPT DESIGNER")
NXOpen::Mechatronics::CollisionMaterial* NXOpen::Mechatronics::CollisionBodyBuilder::CollisionMaterial | ( | ) |
Returns the material.
This can be a CollisionMaterial .
Created in NX7.5.1.
License requirements : nx_mcd_core ("MECHATRONICS CONCEPT DESIGNER")
NXOpen::Mechatronics::CollisionBodyBuilder::ShapePropertyTypes NXOpen::Mechatronics::CollisionBodyBuilder::CollisionProperties | ( | ) |
Returns the shape option.
Created in NX7.5.1.
License requirements : nx_mcd_core ("MECHATRONICS CONCEPT DESIGNER")
NXOpen::Mechatronics::CollisionBodyBuilder::CollisionShapeTypes NXOpen::Mechatronics::CollisionBodyBuilder::CollisionShape | ( | ) |
Returns the shape type.
Created in NX7.5.1.
License requirements : nx_mcd_core ("MECHATRONICS CONCEPT DESIGNER")
NXOpen::SelectNXObjectList* NXOpen::Mechatronics::CollisionBodyBuilder::Geometry | ( | ) |
Returns the geometries.
This can be a Assemblies::ComponentAssembly , Point Face , Edge , bodies and curves.
Created in NX7.5.1.
License requirements : nx_mcd_core ("MECHATRONICS CONCEPT DESIGNER")
bool NXOpen::Mechatronics::CollisionBodyBuilder::HighlightOnCollision | ( | ) |
Returns the highlight on collision.
Created in NX9.0.0.
License requirements : nx_mcd_core ("MECHATRONICS CONCEPT DESIGNER")
NXString NXOpen::Mechatronics::CollisionBodyBuilder::Name | ( | ) |
Returns the name.
Created in NX7.5.1.
License requirements : nx_mcd_core ("MECHATRONICS CONCEPT DESIGNER")
void NXOpen::Mechatronics::CollisionBodyBuilder::SetCategory | ( | int | category | ) |
Sets the category.
It should be between 0 and 16.
Created in NX7.5.1.
License requirements : nx_mcd_core ("MECHATRONICS CONCEPT DESIGNER")
category | category |
void NXOpen::Mechatronics::CollisionBodyBuilder::SetCollisionFactor | ( | double | factor | ) |
Sets the collision factor.
It should be between 0 and 1.0.
Created in NX9.0.0.
License requirements : nx_mcd_core ("MECHATRONICS CONCEPT DESIGNER")
factor | factor |
void NXOpen::Mechatronics::CollisionBodyBuilder::SetCollisionMaterial | ( | NXOpen::Mechatronics::CollisionMaterial * | collisionMaterial | ) |
Sets the material.
This can be a CollisionMaterial .
Created in NX7.5.1.
License requirements : nx_mcd_core ("MECHATRONICS CONCEPT DESIGNER")
collisionMaterial | collisionmaterial |
void NXOpen::Mechatronics::CollisionBodyBuilder::SetCollisionProperties | ( | NXOpen::Mechatronics::CollisionBodyBuilder::ShapePropertyTypes | collisionProperties | ) |
Sets the shape option.
Created in NX7.5.1.
License requirements : nx_mcd_core ("MECHATRONICS CONCEPT DESIGNER")
collisionProperties | collisionproperties |
void NXOpen::Mechatronics::CollisionBodyBuilder::SetCollisionShape | ( | NXOpen::Mechatronics::CollisionBodyBuilder::CollisionShapeTypes | collisionShape | ) |
Sets the shape type.
Created in NX7.5.1.
License requirements : nx_mcd_core ("MECHATRONICS CONCEPT DESIGNER")
collisionShape | collisionshape |
void NXOpen::Mechatronics::CollisionBodyBuilder::SetGeometry | ( | const std::vector< NXOpen::NXObject * > & | geometries | ) |
Sets the geometry
Created in NX7.5.1.
License requirements : nx_mcd_core ("MECHATRONICS CONCEPT DESIGNER")
geometries | Input geometries |
void NXOpen::Mechatronics::CollisionBodyBuilder::SetHighlightOnCollision | ( | bool | highlight | ) |
Sets the highlight on collision.
Created in NX9.0.0.
License requirements : nx_mcd_core ("MECHATRONICS CONCEPT DESIGNER")
highlight | highlight |
void NXOpen::Mechatronics::CollisionBodyBuilder::SetName | ( | const NXString & | name | ) |
Sets the name.
Created in NX7.5.1.
License requirements : nx_mcd_core ("MECHATRONICS CONCEPT DESIGNER")
name | name |
void NXOpen::Mechatronics::CollisionBodyBuilder::SetName | ( | const char * | name | ) |
Sets the name.
Created in NX7.5.1.
License requirements : nx_mcd_core ("MECHATRONICS CONCEPT DESIGNER")
name | name |